package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.Unemployment;
import com.lightinit.hsdatashow.entity.UnemploymentExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UnemploymentMapper {
    long countByExample(UnemploymentExample example);

    int deleteByExample(UnemploymentExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Unemployment record);

    int insertSelective(Unemployment record);

    List<Unemployment> selectByExample(UnemploymentExample example);

    Unemployment selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") Unemployment record, @Param("example") UnemploymentExample example);

    int updateByExample(@Param("record") Unemployment record, @Param("example") UnemploymentExample example);

    int updateByPrimaryKeySelective(Unemployment record);

    int updateByPrimaryKey(Unemployment record);
}